<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Права доступа. Расшифровка значений.
 * * `1xx` Для списка заказов:
 * * `101` - Пользователю доступен табличный список с фильтрами и поиском
 * * `102` - Пользователю доступна детальная страница заказа со всеми вкладками и данными для просмотра
 * * `103` - Пользователю доступна вкладка "Главное" для просмотра
 * * `104` - Пользователю доступна вкладка "Клиент" для просмотра
 * * `105` - Пользователю доступна вкладка "Товары" для просмотра
 * * `106` - Пользователю доступна вкладка "Доставка" для просмотра
 * * `107` - Пользователю доступна вкладка "Комментарии" для просмотра
 * * `108` - Пользователю доступна вкладка "Вложения" для просмотра
 * * `109` - Пользователю доступно только редактирование данных заказа (без действий)
 * * `110` - Пользователю доступна функция редактирование комментариев во вкладке "Комментарии" + кнопки "Сохранить"/"Отменить"
 * * `111` - Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке "Комментариии" + кнопки "Сохранить"/"Отменить"
 * * `112` - Пользователю доступна функция редактирования способа доставки во вкладке "Доставка" + кнопки "Сохранить"/"Отменить"
 * * `113` - Пользователю доступна функция редактирования комментария во вкладке "Доставка" + кнопки "Сохранить"/"Отменить"
 * * `114` - Пользователю доступна функция редактирования полей клиента во вкладке "Клиент" + кнопки "Сохранить"/"Отменить"
 * * `115` - Пользователю доступна функция загрузка вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"
 * * `116` - Пользователю доступна функция удаления вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"
 * * `117` - Пользователю доступно изменение статуса заказа на детальной странице + кнопка "Действия"
 * * `118` - Пользователю доступно создание заявки на возврат + кнопка "Действия"
 * * `119` - Пользователю доступно редактирование списка товаров в заказе
 * * `120` - Пользователю доступно изменение статуса отгрузки на детальной странице заказ
 * * `2xx` Для возвратов:
 * * `201` - Пользователю доступен табличный список с фильтрами и поиском
 * * `202` - Пользователю доступная детальна страница возврата
 * * `203` - Пользователю доступна вкладка "Главное" для просмотра
 * * `204` - Пользователю доступна вкладка "Товары" для просмотра
 * * `205` - Пользователю доступна вкладка "Вложения" для просмотра
 * * `206` - Пользователю доступно только редактирование данных возврата (без действий)
 * * `207` - Пользователю доступна функция изменение ответственного за возврат во вкладке "Главное" + кнопки "Сохранить"/"Отменить"
 * * `208` - Пользователю доступна функция загрузка вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"
 * * `209` - Пользователю доступна функция удаления вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"
 * * `210` - Пользователю доступен табличный список с причинами возврата по кнопке "Настройка причин возврата"
 * * `211` - Пользователю доступно создание причин возврата + кнопка "Добавить причину"
 * * `212` - Пользователю доступно редактирование причин возврата + кнопка "Изменить причину"
 * * `3xx` Для настроек:
 * * `301` - Пользователю доступна для просмотра страница настроек
 * * `302` - Параметры корзины. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"
 * * `303` - Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"
 * * `304` - Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"
 * * `305` - Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"
 * * `4xx` Для каталога товаров:
 * * `401` - Пользователю доступен табличный список с фильтрами и поиском
 * * `402` - Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра
 * * `403` - Пользователь может создавать товар
 * * `404` - Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним
 * * `405` - Пользователю доступна вкладка "Основные данные" для просмотра
 * * `406` - Пользователю доступна вкладка "Контент" для просмотра
 * * `407` - Пользователю доступна вкладка "Характеристики" для просмотра
 * * `408` - Пользователю доступно управление чек-боксом "Активность"
 * * `409` - Пользователю доступно полное редактирование во вкладке "Контент"
 * * `410` - Пользователю доступно полное редактирование во вкладке "Характеристики"
 * * `411` - Пользователю доступно полное редактирование во вкладке "Основные данные"
 * * `413` - Пользователь может удалять товары
 * * `414` - Пользователю доступна вкладка "Товарные склейки" для просмотра
 * * `415` - Пользователю доступна функция "Изменить атрибуты" в табличном списке товаров
 * * `418` - Пользователю доступна миграция состояния сущностей, из которых наполняется индекс
 * * `5xx` Для категорий товаров:
 * * `501` - Пользователю доступен табличный список с фильтрами и поиском
 * * `502` - Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра
 * * `503` - Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним
 * * `504` - Пользователь может создавать категории
 * * `505` - Пользователь может добавлять и редактировать атрибуты категории
 * * `506` - Пользователь может редактирование данные о категории (кроме активности)
 * * `507` - Пользователь может удалять категории
 * * `508` - Пользователю доступно управление чек-боксом "Активность"
 * * `6xx` Для атрибутов товаров:
 * * `601` - Пользователю доступен табличный список с фильтрами и поиском
 * * `602` - Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра
 * * `603` - Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине
 * * `604` - Пользователь может создать новый атрибут товара и сохранить его
 * * `605` - Пользователь может удалять атрибутов
 * * `606` - Пользователю доступно управление чек-боксом "Активность"
 * * `607` - Пользователю доступно управление чек-боксом "Отображение на витрине"
 * * `7xx` Для пользователей:
 * * `701` - Пользователю доступен табличный список с фильтрами и поиском
 * * `702` - Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра
 * * `703` - Пользователю доступно полное редактирование пользователя
 * * `704` - Пользователю доступно управление чек-боксом "Активность"
 * * `705` - Пользователю доступно изменение пароля
 * * `706` - Пользователю доступно управление ролями пользователя
 * * `707` - Пользователю доступно создание пользователя
 * * `8xx` Для ролей:
 * * `801` - Пользователю доступен табличный список с фильтрами и поиском
 * * `802` - Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра
 * * `803` - Создание ролей
 * * `804` - Пользователю доступно полное редактирование роли
 * * `805` - Пользователю доступно управление чек-боксом "Активность"
 * * `806` - Пользователю доступно удаление роли
 * * `9xx` Для информационных страниц:
 * * `901` - Пользователю доступен табличный список с информационными страницами
 * * `902` - Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра
 * * `903` - Пользователю доступно редактирование информационной страницы, включая управление активностью
 * * `904` - Пользователю доступно управление чек-боксом "Активность"
 * * `905` - Пользователю доступно создание информационной страницы
 * * `906` - Пользователю доступно удаление информационной страницы
 * * `10xx` Для брендов:
 * * `1001` - Пользователю доступен табличный список с брендами с фильтрами и поиском
 * * `1002` - Пользователю доступна детальная страница бренда со всеми данными для просмотра
 * * `1003` - Пользователю доступно полное редактирование бренда, включая управление активностью
 * * `1004` - Пользователю доступно управление чек-боксом "Активность"
 * * `1005` - Пользователю доступно создание бренда
 * * `1006` - Пользователю доступно удаление бренда
 * * `11xx` Для товарных склеек:
 * * `1101` - Пользователю доступен табличный список склеек с фильтрами и поиском
 * * `1102` - Пользователю доступна детальная страница склейки со всеми данными для просмотра
 * * `1103` - Пользователю доступно редактирование склейки (кроме изменения активности и удаления)
 * * `1104` - Пользователю доступно управление чек-боксом "Активность"
 * * `1105` - Пользователю доступно создание склейки
 * * `1106` - Пользователю доступно удаление склейки
 * * `1107` - Пользователю доступно редактирование всех полей товарной склейки
 * * `12xx` Для клиентов:
 * * `1201` - Пользователю доступно удаление персональных данных клиента
 * * `1202` - Пользователю доступен табличный список клиентов с фильтрами и поиском
 * * `1203` - Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра
 * * `1204` - Пользователю доступно редактирование данных клиента
 * * `13xx` Для скидок и промокодов:
 * * `1301` - Пользователю доступен табличный список со скидками
 * * `1302` - Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей
 * * `1303` - Пользователю доступно создание скидки
 * * `1304` - Пользователю доступно редактирование скидки
 * * `1305` - Пользователю доступно удаление скидки
 * * `1306` - Пользователю доступно массовое обновление статусов скидки в табличном списке
 * * `1311` - Пользователю доступен табличный список с промокодами
 * * `1312` - Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей
 * * `1313` - Пользователю доступно создание промокода
 * * `1314` - Пользователю доступно редактирование промокода
 * * `1315` - Пользователю доступно удаление промокода
 * * `14xx` Для баннеров:
 * * `1401` - Пользователю доступен табличный список баннеров с фильтрами и поиском
 * * `1402` - Пользователю доступна детальная страница баннера со всеми данными для просмотра
 * * `1403` - Пользователю доступно редактирование баннера
 * * `1404` - Пользователю доступно создание баннера
 * * `1405` - Пользователю доступно удаление баннера
 * * `15xx` Для отзывов:
 * * `1501` - Пользователю доступен табличный список с отзывами с фильтрами и поиском
 * * `1502` - Пользователю доступна детальная страница отзывами со всеми данными для просмотра
 * * `1503` - Пользователю доступно удаление отзывов
 * * `1504` - Пользователю доступно изменение статуса отзыва
 * * `16xx` Для тегов:
 * * `1601` - Пользователю доступен табличный список тегов с фильтрами и поиском
 * * `1602` - Пользователю доступна детальная страница товарного тега со всеми данными для просмотра
 * * `1603` - Пользователю доступно редактирование товарного тега
 * * `1604` - Пользователю доступно создание товарного тега
 * * `1605` - Пользователю доступно удаление товарного тега
 * * `17xx` Для SEO:
 * * `1701` - Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском
 * * `1702` - Пользователю доступна детальная страница SEO-шаблонов со всеми данными для просмотра
 * * `1703` - Пользователю доступно редактирование SEO-шаблонов
 * * `1704` - Пользователю доступно создание SEO-шаблонов
 * * `1705` - Пользователю доступно удаление SEO-шаблонов
 * * `18xx` Для импортов:
 * * `1801` - Пользователю доступен импорт товаров
 * * `1802` - Пользователю доступен просмотр журнала импорта товаров
 * * `1803` - Пользователю доступен просмотр журнала ошибок импорта товаров
 * * `19xx` Для складов:
 * * `1901` - Пользователю доступен табличный список складов с фильтрами и поиском
 * * `1902` - Пользователю доступна детальная страница склада со всеми данными для просмотра
 * * `1903` - Пользователю доступно полное редактирование во вкладке "Основные данные"
 * * `1904` - Пользователю доступно полное редактирование во вкладке "Время работы"
 * * `1905` - Пользователю доступно полное редактирование во вкладке "Контакты"
 * * `1906` - Пользователю доступно полное редактирование во вкладке "График отгрузки"
 * * `1907` - Пользователю доступно управление чек-боксом "Активность"
 * * `1908` - Пользователь может создавать склад
 * * `20xx` Для фидов:
 * * `2001` - Пользователю доступен табличный список с настройками фидов с фильтрами и поиском
 * * `2002` - Пользователю доступна детальная страница настройками фида со всеми данными для просмотра
 * * `2003` - Пользователю доступно создание настроек фида
 * * `2004` - Пользователю доступно редактирование настроек фида
 * * `2005` - Пользователю доступна миграция состояния сущностей, из которых формируются фиды
 * * `21xx` Для тарифов доставки:
 * * `2101` - Пользователю доступен табличный список тарифов с фильтрами и поиском
 * * `2102` - Пользователю доступна детальная страница тарифа со всеми данными для просмотра
 * * `2103` - Пользователю доступно создание тарифа
 * * `2104` - Пользователю доступно редактирование тарифа
 * * `2105` - Пользователю доступно удаление тарифа
 * * `22xx` Для продавцов:
 * * `2201` - Пользователю доступен табличный список продавцов с фильтрами и поиском
 * * `2202` - Пользователю доступна детальная страница продавца со всеми данными для просмотра
 * * `2203` - Пользователю доступно создание продавца
 * * `2204` - Пользователю доступно редактирование продавца
 * * `23xx` Для статусов продукта:
 * * `2301` - Пользователю доступен табличный список статусов продукта с фильтрами и поиском
 * * `2302` - Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра
 * * `2303` - Пользователю доступно создание статуса продукта
 * * `2304` - Пользователю доступно редактирование статуса продукта
 * * `2305` - Пользователю доступно удаление статуса продукта
 * * `25xx` Для настроек уведомлений:
 * * `2501` - Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском
 * * `2502` - Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра
 * * `2503` - Пользователю доступно создание настроек уведомлений
 * * `2504` - Пользователю доступно редактирование настроек уведомлений
 * * `2505` - Пользователю доступно удаление настроек уведомлений
 * * `26xx` Подключение Ensi Cloud:
 * * `2601` - Пользователю доступно редактирование подключением Cloud
 * * `2602` - Пользователю доступен просмотр подключения Cloud
 * * `2603` - Пользователю доступно изменение активности подключения Cloud
 * * `27xx` Для настройки параметров доставки:
 * * `2701` - Пользователю доступно редактирование параметров доставки
 * * `2702` - Пользователю доступен просмотр параметров доставки
 * * `28xx` Для офферов:
 * * `2801` - Пользователю доступен табличный список офферов с фильтрами и поиском
 * * `2802` - Пользователю доступно полное редактирование на вкладке "Основные данные"
 * * `2803` - Пользователю доступно полное редактирование на вкладке "Стоки"
 * * `2804` - Пользователю доступно управление чекбоксом "Публикация"
 * * `2805` - Пользователю доступно управлением полем "Стоимость"
 * * `2806` - Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним
 * * `2807` - Пользователю доступна детальная страница оффера со всеми данными для просмотра
 * * `2808` - Пользователю доступно обновление данных офферов
 * * `2809` - Пользователю доступна миграция состояния офферов
 * * `29xx` Для ПВЗ, точек самовывоза:
 * * `2901` - Пользователю доступен табличный список ПВЗ с фильтрами и поиском
 * * `2902` - Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра
 * * `2903` - Пользователю доступно полное редактирование во вкладке "Основные данные"
 * * `2904` - Пользователю доступно полное редактирование во вкладке "Адрес"
 * * `30xx` Для пользователей продавцов:
 * * `3001` - Пользователю доступен табличный список пользователей продавца
 * * `3002` - Пользователю доступна детальная страница пользователя продавца
 * * `3003` - Пользователю доступно редактирование пользователя продавца
 * * `3004` - Пользователю доступно создание пользователя продавца
 * * `3005` - Пользователю доступно изменение активности пользователя продавца
 * * `3006` - Пользователю доступно редактирование пароля пользователя продавца
 * * `31xx` Для технических таблиц
 * * `3101` - Пользователю доступен просмотр технических таблиц
 * * `3102` - Пользователю доступно редактирование технических таблиц + запуск консольных команд
 * * `32xx` Для служб доставки
 * * `3201` - Пользователю доступен табличный список служб доставки с фильтрами и поиском
 * * `3202` - Пользователю доступна детальная страница службы доставки со всеми данными для просмотра
 * * `3203` - Пользователю доступно редактирование службы доставки
 */
enum RightsAccessEnum: int
{
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case ORDER_LIST_READ = 101;
    /** Пользователю доступна детальная страница заказа со всеми со всеми вкладками и данными для просмотра */
    case ORDER_DETAIL_READ = 102;
    /** Пользователю доступна вкладка "Главное" для просмотра */
    case ORDER_DETAIL_MAIN_READ = 103;
    /** Пользователю доступна вкладка "Клиент" для просмотра */
    case ORDER_DETAIL_CLIENT_READ = 104;
    /** Пользователю доступна вкладка "Товары" для просмотра */
    case ORDER_DETAIL_PRODUCTS_READ = 105;
    /** Пользователю доступна вкладка "Доставка" для просмотра */
    case ORDER_DETAIL_DELIVERY_READ = 106;
    /** Пользователю доступна вкладка "Комментарии" для просмотра */
    case ORDER_DETAIL_COMMENTS_READ = 107;
    /** Пользователю доступна вкладка "Вложения" для просмотра */
    case ORDER_DETAIL_ATTACHMENTS_READ = 108;
    /** Пользователю доступно только редактирование данных заказа (без действий) */
    case ORDER_DETAIL_EDIT = 109;
    /** Пользователю доступна функция редактирование комментариев во вкладке "Комментарии" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_COMMENTS_EDIT = 110;
    /** Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке "Комментариии" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_PROBLEMATIC_EDIT = 111;
    /** Пользователю доступна функция редактирования способа доставки во вкладке "Доставка" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_DELIVERY_EDIT = 112;
    /** Пользователю доступна функция редактирования комментария во вкладке "Доставка" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_DELIVERY_COMMENTS_EDIT = 113;
    /** Пользователю доступна функция редактирования полей клиента во вкладке "Клиент" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_CLIENT_EDIT = 114;
    /** Пользователю доступна функция загрузка вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_ATTACHMENTS_WRITE = 115;
    /** Пользователю доступна функция удаления вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить" */
    case ORDER_DETAIL_ATTACHMENTS_DELETE = 116;
    /** Пользователю доступно изменение статуса заказа на детальной странице + кнопка "Действия" */
    case ORDER_DETAIL_STATUS_EDIT = 117;
    /** Пользователю доступно создание заявки на возврат + кнопка "Действия" */
    case ORDER_DETAIL_REFUND_CREATE = 118;
    /** Пользователю доступно редактирование списка товаров в заказе */
    case ORDER_DETAIL_PRODUCTS_EDIT = 119;
    /** Пользователю доступно изменение статуса отгрузки на детальной странице заказ */
    case ORDER_DETAIL_SHIPMENT_EDIT = 120;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case REFUND_LIST_READ = 201;
    /** Пользователю доступная детальна страница возврата */
    case REFUND_DETAIL_READ = 202;
    /** Пользователю доступна вкладка "Главное" для просмотра */
    case REFUND_DETAIL_MAIN_READ = 203;
    /** Пользователю доступна вкладка "Товары" для просмотра */
    case REFUND_DETAIL_PRODUCTS_READ = 204;
    /** Пользователю доступна вкладка "Вложения" для просмотра */
    case REFUND_DETAIL_ATTACHMENTS_READ = 205;
    /** Пользователю доступно только редактирование данных возврата (без действий) */
    case REFUND_DETAIL_EDIT = 206;
    /** Пользователю доступна функция изменение ответственного за возврат во вкладке "Главное" + кнопки "Сохранить"/"Отменить" */
    case REFUND_DETAIL_RESPONSIBLE_EDIT = 207;
    /** Пользователю доступна функция загрузка вложений  во вкладке "Вложения" + кнопки "Сохранить"/"Отменить" */
    case REFUND_DETAIL_ATTACHMENTS_WRITE = 208;
    /** Пользователю доступна функция удаления вложений  во вкладке "Вложения" + кнопки "Сохранить"/"Отменить" */
    case REFUND_DETAIL_ATTACHMENTS_DELETE = 209;
    /** Пользователю доступен табличный список с причинами возврата по кнопке "Настройка причин возврата" */
    case REFUND_DETAIL_REASONS_READ = 210;
    /** Пользователю доступно создание причин возврата + кнопка "Добавить причину" */
    case REFUND_DETAIL_REASONS_CREATE = 211;
    /** Пользователю доступно редактирование причин возврата + кнопка "Изменить причину" */
    case REFUND_DETAIL_REASONS_EDIT = 212;
    /** Пользователю доступна для просмотра страница настроек */
    case SETTING_LIST_READ = 301;
    /** Параметры корзины. Пользователю доступно редактирование параметра + кнопка "Изменить параметр" */
    case SETTING_BASKET_EDIT = 302;
    /** Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр" */
    case SETTING_PAYMENT_TIME_EDIT = 303;
    /** Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр" */
    case SETTING_ORDER_CREATE_TIME_EDIT = 304;
    /** Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка "Изменить параметр" */
    case SETTING_ORDER_PROCESS_TIME_EDIT = 305;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case PRODUCT_CATALOG_LIST_READ = 401;
    /** Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра */
    case PRODUCT_CATALOG_DETAIL_READ = 402;
    /** Пользователь может создавать товар */
    case PRODUCT_CATALOG_PRODUCT_CREATE = 403;
    /** Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним */
    case PRODUCT_CATALOG_DETAIL_WRITE = 404;
    /** Пользователю доступна вкладка "Основные данные" для просмотра */
    case PRODUCT_CATALOG_DETAIL_MAIN_DATA_READ = 405;
    /** Пользователю доступна вкладка "Контент" для просмотра */
    case PRODUCT_CATALOG_DETAIL_CONTENT_READ = 406;
    /** Пользователю доступна вкладка "Характеристики" для просмотра */
    case PRODUCT_CATALOG_DETAIL_FEATURE_READ = 407;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case PRODUCT_CATALOG_DETAIL_ACTIVE_EDIT = 408;
    /** Пользователю доступно полное редактирование во вкладке "Контент" */
    case PRODUCT_CATALOG_DETAIL_CONTENT_EDIT = 409;
    /** Пользователю доступно полное редактирование во вкладке "Характеристики" */
    case PRODUCT_CATALOG_DETAIL_FEATURE_EDIT = 410;
    /** Пользователю доступно полное редактирование во вкладке "Основные данные" */
    case PRODUCT_CATALOG_DETAIL_MAIN_DATA_EDIT = 411;
    /** Пользователь может удалять товары */
    case PRODUCT_CATALOG_PRODUCT_DELETE = 413;
    /** Пользователю доступна вкладка "Товарные склейки" для просмотра */
    case PRODUCT_CATALOG_DETAIL_PRODUCT_GROUPS_READ = 414;
    /** Пользователю доступна функция "Изменить атрибуты" в табличном списке товаров */
    case PRODUCT_CATALOG_MASS_PATCH = 415;
    /** Пользователю доступна миграция состояния сущностей, из которых наполняется индекс */
    case CATALOG_CACHE_ENTITIES_MIGRATION = 418;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case PRODUCT_CATEGORY_LIST_READ = 501;
    /** Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра */
    case PRODUCT_CATEGORY_DETAIL_READ = 502;
    /** Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним */
    case PRODUCT_CATEGORY_DETAIL_WRITE = 503;
    /** Пользователь может создавать категории */
    case PRODUCT_CATEGORY_CREATE = 504;
    /** Пользователь может добавлять и редактировать атрибуты категории */
    case PRODUCT_CATEGORY_DETAIL_ATTRIBUTES_WRITE = 505;
    /** Пользователь может редактирование данные о категории (кроме активности) */
    case PRODUCT_CATEGORY_DETAIL_EDIT = 506;
    /** Пользователь может удалять категории */
    case PRODUCT_CATEGORY_DELETE = 507;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case PRODUCT_CATEGORY_DETAIL_ACTIVE_EDIT = 508;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case PRODUCT_ATTRIBUTES_LIST_READ = 601;
    /** Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра */
    case PRODUCT_ATTRIBUTES_DETAIL_READ = 602;
    /** Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине */
    case PRODUCT_ATTRIBUTES_DETAIL_EDIT = 603;
    /** Пользователь может создать новый атрибут товара и сохранить его */
    case PRODUCT_ATTRIBUTES_CREATE = 604;
    /** Пользователь может удалять атрибутов */
    case PRODUCT_ATTRIBUTES_DELETE = 605;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case PRODUCT_ATTRIBUTES_DETAIL_ACTIVE_EDIT = 606;
    /** Пользователю доступно управление чек-боксом "Отображение на витрине" */
    case PRODUCT_ATTRIBUTES_DETAIL_SHOW_EDIT = 607;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case USER_LIST_READ = 701;
    /** Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра */
    case USER_DETAIL_READ = 702;
    /** Пользователю доступно полное редактирование пользователя */
    case USER_DETAIL_EDIT = 703;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case USER_DETAIL_ACTIVE_EDIT = 704;
    /** Пользователю доступно изменение пароля */
    case USER_DETAIL_PASSWORD_EDIT = 705;
    /** Пользователю доступно управление ролями пользователя */
    case USER_DETAIL_ROLE_EDIT = 706;
    /** Пользователю доступно создание пользователя */
    case USER_CREATE = 707;
    /** Пользователю доступен табличный список с фильтрами и поиском */
    case ROLE_LIST_READ = 801;
    /** Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра */
    case ROLE_DETAIL_READ = 802;
    /** Создание ролей */
    case ROLE_CREATE = 803;
    /** Пользователю доступно полное редактирование роли */
    case ROLE_DETAIL_EDIT = 804;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case ROLE_DETAIL_ACTIVE_EDIT = 805;
    /** Пользователю доступно удаление роли */
    case ROLE_DELETE = 806;
    /** Пользователю доступен табличный список с информационными страницами */
    case PAGE_LIST_READ = 901;
    /** Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра */
    case PAGE_DETAIL_READ = 902;
    /** Пользователю доступно редактирование информационной страницы, включая управление активностью */
    case PAGE_DETAIL_EDIT = 903;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case PAGE_DETAIL_ACTIVE_EDIT = 904;
    /** Пользователю доступно создание информационной страницы */
    case PAGE_CREATE = 905;
    /** Пользователю доступно удаление информационной страницы */
    case PAGE_DELETE = 906;
    /** Пользователю доступен табличный список с брендами с фильтрами и поиском */
    case BRAND_LIST_READ = 1001;
    /** Пользователю доступна детальная страница бренда со всеми данными для просмотра */
    case BRAND_DETAIL_READ = 1002;
    /** Пользователю доступно полное редактирование бренда, включая управление активностью */
    case BRAND_DETAIL_EDIT = 1003;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case BRAND_DETAIL_ACTIVE_EDIT = 1004;
    /** Пользователю доступно создание бренда */
    case BRAND_CREATE = 1005;
    /** Пользователю доступно удаление бренда */
    case BRAND_DELETE = 1006;
    /** Пользователю доступен табличный список склеек с фильтрами и поиском */
    case PRODUCT_GROUP_LIST_READ = 1101;
    /** Пользователю доступна детальная страница склейки со всеми данными для просмотра */
    case PRODUCT_GROUP_DETAIL_READ = 1102;
    /** Пользователю доступно редактирование склейки (кроме изменения активности и удаления) */
    case PRODUCT_GROUP_DETAIL_FIELDS_EDIT = 1103;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case PRODUCT_GROUP_DETAIL_ACTIVE_EDIT = 1104;
    /** Пользователю доступно создание склейки */
    case PRODUCT_GROUP_CREATE = 1105;
    /** Пользователю доступно удаление склейки */
    case PRODUCT_GROUP_DELETE = 1106;
    /** Пользователю доступно редактирование всех полей товарной склейки */
    case PRODUCT_GROUP_DETAIL_FULL_EDIT = 1107;
    /** Пользователю доступно удаление персональных данных клиента */
    case CUSTOMER_DELETE_PERSONAL_DATA = 1201;
    /** Пользователю доступен табличный список клиентов с фильтрами и поиском */
    case CUSTOMER_LIST_READ = 1202;
    /** Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра */
    case CUSTOMER_DETAIL_READ = 1203;
    /** Пользователю доступно редактирование данных клиента */
    case CUSTOMER_DETAIL_EDIT = 1204;
    /** Пользователю доступен табличный список со скидками */
    case DISCOUNT_LIST_READ = 1301;
    /** Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей */
    case DISCOUNT_DETAIL_READ = 1302;
    /** Пользователю доступно создание скидки */
    case DISCOUNT_CREATE = 1303;
    /** Пользователю доступно редактирование скидки */
    case DISCOUNT_DETAIL_EDIT = 1304;
    /** Пользователю доступно удаление скидки */
    case DISCOUNT_DELETE = 1305;
    /** Пользователю доступно массовое обновление статусов скидки в табличном списке */
    case DISCOUNT_MASS_STATUS_UPDATE = 1306;
    /** Пользователю доступен табличный список с промокодами */
    case PROMO_CODE_LIST_READ = 1311;
    /** Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей */
    case PROMO_CODE_DETAIL_READ = 1312;
    /** Пользователю доступно создание промокода */
    case PROMO_CODE_CREATE = 1313;
    /** Пользователю доступно редактирование промокода */
    case PROMO_CODE_DETAIL_EDIT = 1314;
    /** Пользователю доступно удаление промокода */
    case PROMO_CODE_DELETE = 1315;
    /** Пользователю доступен табличный список с баннерами с фильтрами и поиском */
    case BANNER_LIST_READ = 1401;
    /** Пользователю доступна детальная страница баннера со всеми данными для просмотра */
    case BANNER_DETAIL_READ = 1402;
    /** Пользователю доступно редактирование баннера */
    case BANNER_DETAIL_EDIT = 1403;
    /** Пользователю доступно создание баннера */
    case BANNER_CREATE = 1404;
    /** Пользователю доступно удаление баннера */
    case BANNER_DELETE = 1405;
    /** Пользователю доступен табличный список с отзывами с фильтрами и поиском */
    case REVIEW_LIST_READ = 1501;
    /** Пользователю доступна детальная страница отзывами со всеми данными для просмотра */
    case REVIEW_DETAIL_READ = 1502;
    /** Пользователю доступно удаление отзывов */
    case REVIEW_DELETE = 1503;
    /** Пользователю доступно изменение статуса отзыва */
    case REVIEW_DETAIL_EDIT = 1504;
    /** Пользователю доступен табличный список тегов с фильтрами и поиском */
    case NAMEPLATE_LIST_READ = 1601;
    /** Пользователю доступна детальная страница товарного тега со всеми данными для просмотра */
    case NAMEPLATE_DETAIL_READ = 1602;
    /** Пользователю доступно редактирование товарного тега */
    case NAMEPLATE_DETAIL_EDIT = 1603;
    /** Пользователю доступно создание товарного тега */
    case NAMEPLATE_CREATE = 1604;
    /** Пользователю доступно удаление товарного тега */
    case NAMEPLATE_DELETE = 1605;
    /** Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском */
    case SEO_TEMPLATE_LIST_READ = 1701;
    /** Пользователю доступна детальная страница SEO-шаблона со всеми данными для просмотра */
    case SEO_TEMPLATE_DETAIL_READ = 1702;
    /** Пользователю доступно редактирование SEO-шаблона */
    case SEO_TEMPLATE_DETAIL_EDIT = 1703;
    /** Пользователю доступно создание SEO-шаблона */
    case SEO_TEMPLATE_CREATE = 1704;
    /** Пользователю доступно удаление SEO-шаблона */
    case SEO_TEMPLATE_DELETE = 1705;
    /** Пользователю доступен импорт товаров */
    case IMPORT_CREATE = 1801;
    /** Пользователю доступен просмотр журнала импорта товаров */
    case IMPORT_LIST_READ = 1802;
    /** Пользователю доступен просмотр журнала ошибок импорта товаров */
    case IMPORT_WARNING_LIST_READ = 1803;
    /** Пользователю доступен табличный список складов с фильтрами и поиском */
    case STORE_LIST_READ = 1901;
    /** Пользователю доступна детальная страница склада со всеми данными для просмотра */
    case STORE_DETAIL_READ = 1902;
    /** Пользователю доступно полное редактирование во вкладке "Основные данные" */
    case STORE_MAIN_DATA_EDIT = 1903;
    /** Пользователю доступно полное редактирование во вкладке "Время работы" */
    case STORE_WORKING_EDIT = 1904;
    /** Пользователю доступно полное редактирование во вкладке "Контакты" */
    case STORE_CONTACTS_EDIT = 1905;
    /** Пользователю доступно полное редактирование во вкладке "График отгрузки" */
    case STORE_PICKUP_TIME_EDIT = 1906;
    /** Пользователю доступно управление чек-боксом "Активность" */
    case STORE_ACTIVITY_EDIT = 1907;
    /** Пользователь может создавать склад */
    case STORE_CREATE = 1908;
    /** Пользователю доступен табличный список с настройками фидов с фильтрами и поиском */
    case FEED_SETTINGS_LIST_READ = 2001;
    /** Пользователю доступна детальная страница настройками фида со всеми данными для просмотра */
    case FEED_SETTINGS_DETAIL_READ = 2002;
    /** Пользователю доступно создание настроек фида */
    case FEED_SETTINGS_CREATE = 2003;
    /** Пользователю доступно редактирование настроек фида */
    case FEED_SETTINGS_DETAIL_EDIT = 2004;
    /** Пользователю доступна миграция состояния сущностей, из которых формируются фиды */
    case FEED_ENTITIES_MIGRATION = 2005;
    /** Пользователю доступен табличный список тарифов с фильтрами и поиском */
    case DELIVERY_PRICE_LIST_READ = 2101;
    /** Пользователю доступна детальная страница тарифа со всеми данными для просмотра */
    case DELIVERY_PRICE_DETAIL_READ = 2102;
    /** Пользователю доступно создание тарифа */
    case DELIVERY_PRICE_CREATE = 2103;
    /** Пользователю доступно редактирование тарифа */
    case DELIVERY_PRICE_DETAIL_EDIT = 2104;
    /** Пользователю доступно удаление тарифа */
    case DELIVERY_PRICE_DELETE = 2105;
    /** Пользователю доступен табличный список продавцов с фильтрами и поиском */
    case SELLER_LIST_READ = 2201;
    /** Пользователю доступна детальная страница продавца со всеми данными для просмотра */
    case SELLER_DETAIL_READ = 2202;
    /** Пользователю доступно создание продавца */
    case SELLER_CREATE = 2203;
    /** Пользователю доступно редактирование продавца */
    case SELLER_DETAIL_EDIT = 2204;
    /** Пользователю доступен табличный список статусов продукта с фильтрами и поиском */
    case PRODUCT_STATUS_LIST_READ = 2301;
    /** Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра */
    case PRODUCT_STATUS_DETAIL_READ = 2302;
    /** Пользователю доступно создание статуса продукта */
    case PRODUCT_STATUS_CREATE = 2303;
    /** Пользователю доступно редактирование статуса продукта */
    case PRODUCT_STATUS_DETAIL_EDIT = 2304;
    /** Пользователю доступно удаление статуса продукта */
    case PRODUCT_STATUS_DELETE = 2305;
    /** Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском */
    case NOTIFICATION_SETTING_LIST_READ = 2501;
    /** Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра */
    case NOTIFICATION_SETTING_DETAIL_READ = 2502;
    /** Пользователю доступно создание настроек уведомлений */
    case NOTIFICATION_SETTING_CREATE = 2503;
    /** Пользователю доступно редактирование настроек уведомлений */
    case NOTIFICATION_SETTING_DETAIL_EDIT = 2504;
    /** Пользователю доступно удаление настроек уведомлений */
    case NOTIFICATION_SETTING_DELETE = 2505;
    /** Пользователю доступно редактирование подключением Cloud */
    case CLOUD_INTEGRATION_DETAIL_EDIT = 2601;
    /** Пользователю доступен просмотр подключения Cloud */
    case CLOUD_INTEGRATION_READ = 2602;
    /** Пользователю доступно изменение активности подключения Cloud */
    case CLOUD_INTEGRATION_ACTIVITY_EDIT = 2603;
    /** Пользователю доступно редактирование параметров доставки */
    case DELIVERY_OPTIONS_SETTINGS_DETAIL_EDIT = 2701;
    /** Пользователю доступен просмотр параметров доставки */
    case DELIVERY_OPTIONS_SETTINGS_DETAIL_READ = 2702;
    /** Пользователю доступен табличный список офферов с фильтрами и поиском */
    case OFFER_LIST_READ = 2801;
    /** Пользователю доступно полное редактирование на вкладке "Основные данные" */
    case OFFER_DETAIL_MAIN_EDIT = 2802;
    /** Пользователю доступно полное редактирование на вкладке "Стоки" */
    case OFFER_DETAIL_STOCKS_EDIT = 2803;
    /** Пользователю доступно управление чекбоксом "Публикация" */
    case OFFER_DETAIL_ALLOW_PUBLISH_EDIT = 2804;
    /** Пользователю доступно управлением полем "Стоимость" */
    case OFFER_DETAIL_PRICE_EDIT = 2805;
    /** Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним */
    case OFFER_DETAIL_EDIT = 2806;
    /** Пользователю доступна детальная страница оффера со всеми данными для просмотра */
    case OFFER_DETAIL_READ = 2807;
    /** Пользователю доступно обновление данных офферов */
    case OFFER_ENTITIES_SYNC = 2808;
    /** Пользователю доступна миграция состояния офферов */
    case OFFER_MIGRATION = 2809;
    /** Пользователю доступен табличный список ПВЗ с фильтрами и поиском */
    case POINT_LIST_READ = 2901;
    /** Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра */
    case POINT_DETAIL_READ = 2902;
    /** Пользователю доступно полное редактирование во вкладке "Основные данные" */
    case POINT_DETAIL_MAIN_DATA_EDIT = 2903;
    /** Пользователю доступно полное редактирование во вкладке "Адрес" */
    case POINT_DETAIL_ADDRESS_EDIT = 2904;
    /** Пользователю доступен табличный список пользователей продавца */
    case SELLER_USER_LIST_READ = 3001;
    /** Пользователю доступна детальная страница пользователя продавца */
    case SELLER_USER_DETAIL_READ = 3002;
    /** Пользователю доступно редактирование пользователя продавца */
    case SELLER_USER_DETAIL_EDIT = 3003;
    /** Пользователю доступно создание пользователя продавца */
    case SELLER_USER_CREATE = 3004;
    /** Пользователю доступно изменение активности пользователя продавца */
    case SELLER_USER_ACTIVITY_EDIT = 3005;
    /** Пользователю доступно редактирование пароля пользователя продавца */
    case SELLER_USER_PASSWORD_EDIT = 3006;
    /** Пользователю доступен просмотр технических таблиц */
    case TECHNICAL_TABLES_READ = 3101;
    /** Пользователю доступно редактирование технических таблиц + запуск консольных команд */
    case TECHNICAL_TABLES_ALL = 3102;
    /** Пользователю доступен табличный список служб доставки с фильтрами и поиском */
    case DELIVERY_SERVICES_TABLES_READ = 3201;
    /** Пользователю доступна детальная страница службы доставки со всеми данными для просмотра */
    case DELIVERY_SERVICES_DETAIL_READ = 3202;
    /** Пользователю доступно редактирование службы доставки */
    case DELIVERY_SERVICES_DETAIL_EDIT = 3203;
}
